package service

import "youngee_b_api/app/dao"

type CommonService struct{}

func (s CommonService) CooperationPlatform() ([]string, error) {
	var icons []string
	coopPlatforms, err := dao.CommonDao{}.GetCoopPlatform()
	if err != nil {
		return nil, err
	}
	for _, coopPlatform := range coopPlatforms {
		icons = append(icons, coopPlatform.PlatformIcon)
	}
	return icons, nil
}
